D4Science Infrastructure - Task #12117
Task # 9122 (New): Upgrade MongoDB to 3.4 version

MongoDB: upgrade production cluster to version 3.2
Jul 05, 2018 03:33 PM - Roberto Cirillo

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Tommaso Piccioli % Done:

Category: Data Management Estimated time:

Target version: Upgrade MongoDB to 3.2 version

Infrastructure: Production

Jul 13, 2018
Jul 13, 2018
100%

0.00 hour

Description
The upgrade will be done in the following way:
e Upgrade secondary members of the replica set;

¢ Step down the replica set primary;
¢ Upgrade the primary.

Related issues:

Related to D4Science Infrastructure - Upgrade #12116: D4Science Root VO upgra...
Blocks D4Science Infrastructure - Task #12118: MongoDB: upgrade production cl...

Completed
Closed

Jul 13, 2018
Jul 13, 2018

Jul 13, 2018
Jul 13, 2018

History

#1 - Jul 05, 2018 03:37 PM - Roberto Cirillo
- Blocks Task #12118: MongoDB: upgrade production cluster to version 3.4 added

#2 - Jul 05, 2018 03:38 PM - Roberto Cirillo
- Related to Upgrade #12116: D4Science Root VO upgrade to gCube 4.12 added

#3 - Jul 17,2018 01:11 PM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Jul 17, 2018 03:15 PM - Tommaso Piccioli
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#5 - Jul 17, 2018 03:45 PM - Tommaso Piccioli

All nodes temporarily updated to mongodb-org version 3.2.20

Aug 09, 2025
